Subject: Re: SMITH & DeROSE AGENCY AUTO OWNERS AUTO INSURANCE INVOICE ATTACHED
From: [email-masked]
To: [email-masked]
Date: Wed, 27 May 2015 10:02:29 -0400

Yes,  I did note it on the auto application and I have your AMAC  
membership #.
 
Joe
 
In a message dated 5/27/2015 9:56:54 A.M. Eastern Daylight Time,  
[email-masked] writes:

Hello Joe.
Not sure if it matters a whole lot but for  accuracy purposes, the Mature 
Group member name is actually AMAC.   The member # is 1045741.  I will call 
you as soon as the other car  is transferred out.
Thank you,
Michael B

From: [email-masked] (mailto:[email-masked])  
Sent: Wednesday, May 27, 2015 9:37 AM
To: [email-masked] (mailto:[email-masked])  
Subject: SMITH & DeROSE AGENCY AUTO OWNERS AUTO INSURANCE  INVOICE ATTACHED

Mike:

Please send the first payment of $324.31 to the agency's  address.
 
The agency's mailing address is the following.
 
Smith & DeRose Insurance Agency Inc
PO Box 77
Williamston, MI 488995-0077
 
Thank you,
 
Joe